﻿@model IEnumerable<BookStore.Models.Book>
    @{
        ViewBag.Title = "List";
    }


    <h1 style="font-size:40px">Show all books</h1>
    <hr />
    <table border="2" style="font-size:20px">
        <tr>
            <th style="width:auto">Id</th>
            <th><a style="text-decoration: none; color: black" href="SortName">Name&#8711</a></th>
            <th><a style="text-decoration: none; color: black" href="SortPrice">Price&#8711</a></th>
            <th><a style="text-decoration: none; color: black" href="SortGenre">Genre&#8711</a></th>
        </tr>
        @foreach (BookStore.Models.Book item in Model)
        {
            if (item.Deleted == false)
            {
                <tr>
                    <td>@item.Id</td>
                    <td>@item.Name</td>
                    <td>@item.Price</td>
                    <td>@item.Genre.Name</td>
                    <td><a class="crven plavi-tekst" href="Delete/@item.Id">Delete</a></td>
                    <td><a class="crven plavi-tekst" href="Edit/@item.Id">Edit</a></td>
                </tr>
            }
        }

    </table>
    <p><font size='4'><a class="crven plavi-tekst" href='/BookStore'>Link for HomePage</a></font></p>

